package cn.axzo.msg.center.service.pending.request;

import cn.axzo.msg.center.service.enums.CardState;
import lombok.Getter;
import lombok.Setter;

/**
 * @author yanglin
 */
@Setter
@Getter
public class CardStateInfo {

    /**
     * 业务状态编辑
     */
    private String bizState;

    /**
     * 卡片状态
     */
    private CardState cardState;

    /**
     * 构建对象
     */
    public static CardStateInfo buildCardStateInfo(String bizStateCode, CardState cardState) {
        CardStateInfo cardStateInfo = new CardStateInfo();
        cardStateInfo.setBizState(bizStateCode);
        cardStateInfo.setCardState(cardState);
        return cardStateInfo;
    }

}